Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Communication and Mobility Server Java API Reference E14335-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.sdpinternal.parlayx.common
Class AssertedIdentityHandler

    java.lang.Object
      javax.xml.rpc.handler.GenericHandler
          oracle.sdpinternal.parlayx.common.AssertedIdentityHandler

All Implemented Interfaces:
  javax.xml.rpc.handler.Handler

    public class AssertedIdentityHandler

extends javax.xml.rpc.handler.GenericHandler

Field Summary
`static String` | `ASSERTED_ID`
`static javax.xml.namespace.QName` | `ID_QNAME`
`static String` | `LOCAL_PART`
`static String` | `NS_URI`
`static String` | `PREFIX`

Constructor Summary
`AssertedIdentityHandler()`

Method Summary
`javax.xml.namespace.QName[]` | `getHeaders()`
`boolean` | `handleRequest(javax.xml.rpc.handler.MessageContext messageContext)`
`void` | `init(javax.xml.rpc.handler.HandlerInfo handlerInfo)`
`static void` | `register(javax.xml.rpc.handler.HandlerRegistry registry, javax.xml.namespace.QName qName, String assertedId)`

Methods inherited from class javax.xml.rpc.handler.GenericHandler
`destroy, handleFault, handleResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

### NS_URI

    public static final String NS_URI

See Also:
  Constant Field Values

### LOCAL_PART

    public static final String LOCAL_PART

See Also:
  Constant Field Values

### ID_QNAME

    public static final javax.xml.namespace.QName ID_QNAME

### ASSERTED_ID

    public static final String ASSERTED_ID

See Also:
  Constant Field Values

Constructor Detail

### AssertedIdentityHandler

    public AssertedIdentityHandler()

Method Detail

### register

    public static void register(javax.xml.rpc.handler.HandlerRegistry registry,
                                javax.xml.namespace.QName qName,
                                String assertedId)

### handleRequest

    public boolean handleRequest(javax.xml.rpc.handler.MessageContext messageContext)

  Specified by:
    `handleRequest` in interface `javax.xml.rpc.handler.Handler`
  Overrides:
    `handleRequest` in class `javax.xml.rpc.handler.GenericHandler`

### init

    public void init(javax.xml.rpc.handler.HandlerInfo handlerInfo)

  Specified by:
    `init` in interface `javax.xml.rpc.handler.Handler`
  Overrides:
    `init` in class `javax.xml.rpc.handler.GenericHandler`

### getHeaders

    public javax.xml.namespace.QName[] getHeaders()

  Specified by:
    `getHeaders` in interface `javax.xml.rpc.handler.Handler`
  Specified by:
    `getHeaders` in class `javax.xml.rpc.handler.GenericHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2009 Oracle Corporation. All Rights Reserved.